import request from '/@/utils/request';

export function releaseDrillPlanApi() {
    return {
        //演练计划发布一览
        getReleaseDrillPlanList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencyDrillPlan/page/list',
                method: 'post',
                data: params
            });
        },
        // 演练计划发布新增
        addReleaseDrillPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillPlan/add`,
                method: 'post',
                data: params
            });
        },
        // 演练计划发布详情
        seeReleaseDrillPlan: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillPlan/info/${params}`,
                method: 'get'
            });
        },
        // 演练计划发布编辑
        editReleaseDrillPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillPlan/update`,
                method: 'post',
                data: params
            });
        },
        // 演练计划发布删除
        deleteReleaseDrillPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyDrillPlan/batchDelete`,
                method: 'post',
                data: params
            });
        }
    };
}
